package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunGroupProjectDO;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunPayrollDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface ChuanyunPayrollDao extends GalaxisRepository<ChuanyunPayrollDO,String> {

    @Query(value="SELECT * FROM chuanyun_payroll LEFT JOIN chuanyun_user ON chuanyun_payroll.employee_id = chuanyun_user.employee_number"+
            " WHERE chuanyun_user.object_id =?1 AND chuanyun_payroll.period=?2 ",nativeQuery = true)
    ChuanyunPayrollDO  getPayroll(@Param("userId") String userId, @Param("period") String period);
}
