package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/4 8:27 上午
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_CLIENT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunClientDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="xk4i6zt5frxb52clkldnqpkv3";

    /**
     * 客户编号
     */
    @JsonProperty("SeqNo")
    private String clientCode;

    /**
     * 客户名称
     */
    @JsonProperty("F0000001")
    private String clientName;
}
