package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/27 5:25 下午
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_COMPANY")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunCompanyDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D0017899051315520a54e5cb3b3ab6e38d324fb";

    @JsonProperty("F0000001")
    private String companyName;

    /**
     * BG
     */
    @JsonProperty("F0000003")
    private String businessGroup;

    /**
     * U9编码
     */
    @JsonProperty("F0000004")
    private String erpCode;

    /**
     * U9生效
     */
    @JsonProperty("F0000009")
    private String effective;

    /**
     * 银行代码
     */
    @JsonProperty("F0000007")
    private String bankCode;

    /**
     * 银行账号
     */
    @JsonProperty("F0000008")
    private String bankAccount;
}
