package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/28 3:27 下午
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_COST")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunCostDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D0017898279b702c9a841208bfbf5d3bc4105a7";

    /**
     * 公司ID
     */
    @JsonProperty("F0000001")
    private String companyId;

    /**
     * 成本中心U9代码
     */
    @JsonProperty("F0000002")
    private String costCode;

    /**
     * 成本中心名称
     */
    @JsonProperty("F0000003")
    private String costName;

    /**
     * 成本中心负责人
     */
    @JsonProperty("F0000004")
    private String costManger;

    /**
     * 成本中心分管副总
     */
    @JsonProperty("F0000005")
    private String costVicePresident;
}
