package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_EQUIPMENT_INFORM")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunEquipmentInformDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789b1361b805094469c983b94de0aa57881";

    @JsonProperty("F0000001")
    private String equipmentCode;

    @JsonProperty("F0000002")
    private String equipmentMaterielCode;

    @JsonProperty("F0000003")
    private String projectId;
}
