package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.capsule.bo.ChuanyunObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import javax.persistence.Transient;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_OUT_DEPARTMENT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunOutDepartmentDO extends BasicDO{


    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D00178915f541c1aeb948e5a7f6b91cffc01d6f";

    @JsonProperty("F0000001")
    private String department;

    /**
     * 人员所属部门对象
     */
    @Transient
    @JsonProperty("F0000001Object")
    private ChuanyunObject departmentObject;


    @JsonProperty("F0000002")
    private String outDepartment;
}
