package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * Created by IntelliJ IDEA.
 * User: xuj
 * Date: 2020/7/26
 */
@Data
public class ChuanyunAskForLeaveDTO {

    /**
     * title("xx的请假")
     */
    private String title;

    /**
     * 发起部门
     */
    @JsonProperty("originator_dept_name")
    private String originatorDeptName;

    /**
     * 请假事由
     */
    @JsonProperty("leave_type")
    private String leaveType;

    /**
     * 劳动合同所属公司
     */
    @JsonProperty("contract_owner_ltd")
    private String contractOwnerLtd;

    /**
     * 同意、不同意
     */
    @JsonProperty("result")
    private String result;

}
