package com.galaxis.manatee.configuration;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/3 4:38 下午
 */
@Configuration
public class SecurityConfiguration {

    /**
     * 密码编码器
     * @return  spring 密码加密器
     */
    @Bean
    public BCryptPasswordEncoder bCryptPasswordEncoder() {
        return new BCryptPasswordEncoder();
    }
}
