package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunEquipmentInformDO;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunPayrollDO;
import org.springframework.stereotype.Repository;

@Repository
public interface ChuanyunEquipmentInformDao extends GalaxisRepository<ChuanyunEquipmentInformDO,String> {
    /**
     * 获取设备信息
     * @param equipmentCode
     * @return
     */
    ChuanyunEquipmentInformDO findByEquipmentCode(String equipmentCode);
}
