package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunMonthLaborCostDO;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunPayrollDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface ChuanyunMonthLaborCostDao extends GalaxisRepository<ChuanyunMonthLaborCostDO,String> {

    @Query(value="SELECT SUM(chuanyun_month_laborcost.amount)AS totoalamount ,chuanyun_month_laborcost.* FROM chuanyun_month_laborcost \n" +
            "LEFT JOIN chuanyun_group_project ON chuanyun_group_project.project_code = chuanyun_month_laborcost.project_code\n" +
            "WHERE chuanyun_group_project.object_id = ? GROUP BY chuanyun_month_laborcost.project_code",nativeQuery = true)
    ChuanyunMonthLaborCostDO getTotalCost(String projectCode);
}
