package com.galaxis.manatee.dao;

import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunProjectDO;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/2/13 4:39 下午
 */
@Repository
public interface ChuanyunProjectDao extends JpaRepository<ChuanyunProjectDO,String> {

    /**
     * 根据是否下发过获取分页数据
     * @param isCreate  是否下发过
     * @param pageable  分页对象
     * @return  分页项目数据对象
     */
    Page<ChuanyunProjectDO> findAllByIsCreate(Boolean isCreate, Pageable pageable);
}
