package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunReimbursementDO;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/27 4:18 下午
 */
@Repository
public interface ChuanyunReimbursementDao extends GalaxisRepository<ChuanyunReimbursementDO,String> {

    /**
     * 获取没有下发过的报销数据
     * @param erpFlag   下发flag
     * @param pageable  分页
     * @return  列表
     */
    Page<ChuanyunReimbursementDO> findAllByErpFlag(Integer erpFlag, Pageable pageable);

    List<ChuanyunReimbursementDO> findAllByGroupProjectId(String projectId);


}
