package com.galaxis.manatee.dao;

import com.galaxis.manatee.entity.ding.DingTalkRobot;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/1/9 1:11 下午
 */
@Repository
public interface DingTalkRobotDao extends JpaRepository<DingTalkRobot,Long> {

    /**
     * 根据名称获取机器人实例
     * @param name  机器人名称
     * @return  机器人信息
     */
    DingTalkRobot findByName(String name);
}
