package com.galaxis.manatee.dao;

import com.galaxis.manatee.entity.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/3 4:27 下午
 */
@Repository
public interface UserDao extends JpaRepository<User,Long> {

    /**
     * 根据用户名获取用户
     * @param userName  用户名
     * @return  用户对象
     */
    User findByUserName(String userName);
}
