package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/27 1:58 下午
 */
@Data
@Entity(name = "BASIC_SUB_DO")
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
public class BasicSubDO {

    /**
     * 主键
     */
    @Id
    @JsonProperty("ObjectId")
    private String objectId;

    /**
     * 数据标题
     */
    @JsonProperty("Name")
    private String name;

    /**
     * 父表Id
     */
    @JsonProperty("ParentObjectId")
    private String parentObjectId;

}
