package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.math.BigDecimal;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/5/9 10:50 上午
 */
@Slf4j
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunDayLogApply {
    /**
     * 主键
     */
    @JsonProperty("ObjectId")
    private String objectId;
    /**
     * 项目
     */
    @JsonProperty("F0000010")
    private String projectId;
    /**
     * 工时
     */
    @JsonProperty("F0000014")
    private BigDecimal hoursWorked;
    /**
     * 工作内容
     */
    @JsonProperty("F0000015")
    private String content;
}
