package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_EQUIPMENT_TYPE")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunEquipmentType extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789a093e3db5f804db99744c956f1eb7797";

    /**
     * 设备分类名称
     */
    @JsonProperty("F0000001")
    private String equipmentTypeName;
}
