package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_PROJECT_CASHFLOW")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunProjectCashFlowDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789270cab743bc748eab875f5651f3a7107";

    @JsonProperty("F0000001")
    private String projectcode;

    /**
     * 收款金额
     */
    @JsonProperty("F0000002")
    private BigDecimal income;

    /**
     * 付款金额
     */
    @JsonProperty("F0000003")
    private BigDecimal outcome;
}
