package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_PROJECT_TYPE")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunProjectTypeDO extends BasicDO{


    /**
     * 表编码
     */
    public static final String SCHEMA_CODE ="D001789c5fd57c1c1a24dba847760a52ea81571";

    /**
     * 项目类型
     */
    @JsonProperty("projectType")
    private String projectType;

    /**
     * 编码
     */
    @JsonProperty("SeqNo")
    private String projectTypeCode;
}
