package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunDayWorkAbcDO;
import lombok.Data;
import org.springframework.beans.BeanUtils;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * Created by IntelliJ IDEA.
 * author: xuj
 * Date: 2020/8/7
 */
@Data
public class ChuanyunDayWorkAbcDTO {

    @JsonProperty("F0000008")
    private String projectId;

    @JsonProperty("F0000001")
    private String projectCode;

    @JsonProperty("F0000002")
    private String projectName;

    @JsonProperty("F0000003")
    private BigDecimal totalTime;

    @JsonProperty("F0000004")
    private BigDecimal planTime;

    @JsonProperty("F0000005")
    private BigDecimal sellTime;

    @JsonProperty("F0000006")
    private BigDecimal otherTime;

    @JsonProperty("F0000007")
    private String remark;

    @JsonProperty("F0000009")
    private LocalDateTime dayLogDate;

    public static ChuanyunDayWorkAbcDTO fromChuanyunDayWorkAbcDTO(ChuanyunDayWorkAbcDO chuanyunDayWorkAbcDO) {
        ChuanyunDayWorkAbcDTO chuanyunDayWorkAbcDTO = new ChuanyunDayWorkAbcDTO();
        BeanUtils.copyProperties(chuanyunDayWorkAbcDO, chuanyunDayWorkAbcDTO);
        return chuanyunDayWorkAbcDTO;
    }

}
